AnsweredAssumed Answered

Rebuilding mqx: PSP_twrmcf51cn error: Project for standard ABI, but compiler do not use standard ABI

Question asked by Leonardo Pucci Employee on Jan 18, 2010
Latest reply on Jan 19, 2010 by Leonardo Pucci

Hi,

 

I'm trying to rebuild the Freescale MQX 3.4\config\twrmcf51cn\build_libs.mcp

 

As the project is generating some errors, I tried to build saparately.

 

Freescale MQX 3.4\mqx\build\codewarrior\PSP_twrmcf51cn.mcp

 

In the Target options, I've selected build all as it complains about the target. But the errors remain.

 

#ifdef __STDABI__
    #if __STDABI__ == 0
        #error Project for standard ABI, but compiler do not use standard ABI

 

 

It seems to be a simple error related to compiler options. Anyone could help?

 

Outcomes